## WebKitNetworkResponse

WebKitNetworkResponse — the response given to a network request

## Functions

const gchar * | webkit_network_response_get_uri ()
SoupMessage * | webkit_network_response_get_message ()
const char * | webkit_network_response_get_suggested_filename ()
void | webkit_network_response_set_uri ()

## Properties

SoupMessage * | message | Read / Write / Construct Only
gchar * | suggested-filename | Read
gchar * | uri | Read / Write

## Types and Values

| WebKitNetworkResponse

## Object Hierarchy

        GObject
        ╰── WebKitNetworkResponse

## Description

This class represents the network related aspects of a navigation response.

## Functions

### webkit_network_response_get_uri ()

    const gchar *
    webkit_network_response_get_uri (WebKitNetworkResponse *response);

#### Parameters

response | a WebKitNetworkResponse |

#### Returns

the URI of the WebKitNetworkResponse

Since: 1.1.14

### webkit_network_response_get_message ()

    SoupMessage *
    webkit_network_response_get_message (WebKitNetworkResponse *response);

Obtains the SoupMessage that represents the given response. Notice that only the response side of the HTTP conversation is represented.

#### Parameters

response | a WebKitNetworkResponse |

#### Returns

the SoupMessage.

[transfer none]

Since: 1.1.14

### webkit_network_response_get_suggested_filename ()

    const char *
    webkit_network_response_get_suggested_filename
                                   (WebKitNetworkResponse *response);

Obtains the suggested filename for the given network response. The suggested filename is taken from the 'Content-Disposition' HTTP header, but this is not always present, and this method will return `NULL` in such case.

#### Parameters

response | a WebKitNetworkResponse |

#### Returns

the suggested filename or `NULL` if not present.

[transfer none]

Since: 1.10

### webkit_network_response_set_uri ()

    void
    webkit_network_response_set_uri (WebKitNetworkResponse *response,
                                     const gchar *uri);

Sets the URI held and used by the given response. When the response has an associated SoupMessage, its URI will also be set by this call.

#### Parameters

response | a WebKitNetworkResponse |
uri | an URI |

Since: 1.1.14

## Types and Values

### WebKitNetworkResponse

    typedef struct _WebKitNetworkResponse WebKitNetworkResponse;

## Property Details

### The `“message”` property

      “message”                  SoupMessage *

The SoupMessage that backs the response.

Flags: Read / Write / Construct Only

Since: 1.1.14

### The `“suggested-filename”` property

      “suggested-filename”       gchar *

The suggested filename for the response.

Flags: Read

Default value: NULL

Since: 1.10

### The `“uri”` property

      “uri”                      gchar *

The URI to which the response will be made.

Flags: Read / Write

Default value: NULL

Since: 1.1.14

## See Also

WebKitNetworkRequest